org.eclipse.oomph.targlets.util

## Class VersionGenerator

- java.lang.Object
- - org.eclipse.oomph.targlets.util.VersionGenerator

-     public final class VersionGenerator
      extends Object

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VersionGenerator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `generateQualifierReplacement()`
    `static String` | `replaceQualifier(String version, String qualifierReplacement)`
    `static Version` | `replaceQualifier(Version version, String qualifierReplacement)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VersionGenerator

          public VersionGenerator()

  - ### Method Detail

    - #### generateQualifierReplacement

          public static String generateQualifierReplacement()

    - #### replaceQualifier

          public static String replaceQualifier(String version,
                                String qualifierReplacement)

    - #### replaceQualifier

          public static Version replaceQualifier(Version version,
                                 String qualifierReplacement)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html